|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionTabWidgetFrame Class Reference
[QtGui module]

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget. More...

     #include <QStyleOptionTabWidgetFrame>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Public Functions

- QStyleOptionTabWidgetFrame ()
- QStyleOptionTabWidgetFrame ( const QStyleOptionTabWidgetFrame & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QSize leftCornerWidgetSize
- int lineWidth
- int midLineWidth
- QSize rightCornerWidgetSize
- QTabBar::Shape shape
- QSize tabBarSize

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget.

QStyleOptionTabWidgetFrame contains all the information that QStyle functions need to draw the frame around QTabWidget.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabWidget.

## Member Type Documentation

### enum QStyleOptionTabWidgetFrame::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrame::Type` | `SO_TabWidgetFrame` | The type of style option provided (SO_TabWidgetFrame for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionTabWidgetFrame::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrame::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabWidgetFrame::QStyleOptionTabWidgetFrame ()

Constructs a QStyleOptionTabWidgetFrame, initializing the members variables to their default values.

### QStyleOptionTabWidgetFrame::QStyleOptionTabWidgetFrame ( const QStyleOptionTabWidgetFrame & other )

Constructs a copy of other.

## Member Variable Documentation

### QSize QStyleOptionTabWidgetFrame::leftCornerWidgetSize

This variable holds the size of the left-corner widget.

The default value is QSize(-1, -1), i.e. an invalid size.

### int QStyleOptionTabWidgetFrame::lineWidth

This variable holds the line width for drawing the panel.

The default value is 0.

### int QStyleOptionTabWidgetFrame::midLineWidth

This variable holds the mid-line width for drawing the panel.

The mid line width is usually used in drawing sunken or raised frames. The default value is 0.

### QSize QStyleOptionTabWidgetFrame::rightCornerWidgetSize

This variable holds the size of the right-corner widget.

The default value is QSize(-1, -1), i.e. an invalid size.

### QTabBar::Shape QStyleOptionTabWidgetFrame::shape

This variable holds the tab shape used to draw the tabs.

The default value is QTabBar::RoundedNorth.

### QSize QStyleOptionTabWidgetFrame::tabBarSize

This variable holds the size of the tab bar.

The default value is QSize(-1, -1), i.e. an invalid size.